OpenJPEG: message_param Struct Reference

OpenJPEG 2.5.4

Data Fields
message_param Struct Reference

message parameters More...

`#include <msgqueue_manager.h>`

## Data Fields
OPJ_BOOL | last_byte
| if message contains the last byte of the data-bin
Byte8_t | in_class_id
| in-class identifier A.2.3
Byte8_t | class_id
| class identifiers
Byte8_t | csn
| index of the codestream
Byte8_t | bin_offset
| offset of the data in this message from the start of the data-bin
Byte8_t | length
| message byte length
Byte8_t | aux
OPJ_OFF_T | res_offset
| offset in the resource
placeholder_param_t * | phld
| placeholder pointer in index
struct message_param * | next
| pointer to the next message

## Detailed Description

message parameters

## Field Documentation

## ◆ aux

Byte8_t message_param::aux

Referenced by enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), parse_JPIPstream(), print_msgqueue(), recons_codestream_from_JPTstream(), and recons_stream_from_msgqueue().

## ◆ bin_offset

Byte8_t message_param::bin_offset

offset of the data in this message from the start of the data-bin

Referenced by add_mainhead_msgstream(), enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), parse_JPIPstream(), print_msgqueue(), recons_codestream_from_JPPstream(), recons_codestream_from_JPTstream(), recons_packet(), recons_precinct(), and recons_stream_from_msgqueue().

## ◆ class_id

Byte8_t message_param::class_id

class identifiers

Referenced by enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), get_last_tileID(), isJPPstream(), parse_JPIPstream(), parse_metamsg(), print_msgqueue(), recons_stream_from_msgqueue(), and search_message().

## ◆ csn

Byte8_t message_param::csn

index of the codestream

Referenced by decode_jpip(), enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), get_last_tileID(), handle_JPIPstreamMSG(), isJPPstream(), parse_JPIPstream(), print_msgqueue(), recons_stream_from_msgqueue(), and search_message().

## ◆ in_class_id

Byte8_t message_param::in_class_id

in-class identifier A.2.3

Referenced by enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), get_last_tileID(), parse_JPIPstream(), parse_metamsg(), print_msgqueue(), recons_stream_from_msgqueue(), and search_message().

## ◆ last_byte

OPJ_BOOL message_param::last_byte

if message contains the last byte of the data-bin

Referenced by enqueue_mainheader(), enqueue_metadata(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), parse_JPIPstream(), print_msgqueue(), recons_precinct(), and recons_stream_from_msgqueue().

## ◆ length

Byte8_t message_param::length

message byte length

Referenced by add_body_stream(), add_mainhead_msgstream(), enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), gene_msgstream(), parse_JPIPstream(), parse_metadata(), print_msgqueue(), recons_codestream_from_JPPstream(), recons_codestream_from_JPTstream(), recons_packet(), recons_precinct(), and recons_stream_from_msgqueue().

## ◆ next

struct message_param* message_param::next

pointer to the next message

Referenced by add_mainhead_msgstream(), delete_message_in_msgqueue(), delete_msgqueue(), enqueue_mainheader(), enqueue_message(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), get_last_tileID(), isJPPstream(), parse_JPIPstream(), parse_metamsg(), print_msgqueue(), recons_codestream_from_JPPstream(), recons_codestream_from_JPTstream(), recons_jp2(), recons_packet(), recons_precinct(), recons_stream_from_msgqueue(), and search_message().

## ◆ phld

placeholder_param_t* message_param::phld

placeholder pointer in index

Referenced by enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), parse_JPIPstream(), parse_metadata(), print_msgqueue(), recons_jp2(), and recons_stream_from_msgqueue().

## ◆ res_offset

OPJ_OFF_T message_param::res_offset

offset in the resource

Referenced by add_body_stream(), enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_metamsg(), gene_msgstream(), parse_JPIPstream(), parse_metadata(), parse_metamsg(), and print_msgqueue().

The documentation for this struct was generated from the following file:

- msgqueue_manager.h